Package com.sun.jna.platform.linux

## Class LibC.Sysinfo

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.linux.LibC.Sysinfo

- Enclosing interface:
    LibC

      @FieldOrder({"uptime","loads","totalram","freeram","sharedram","bufferram","totalswap","freeswap","procs","totalhigh","freehigh","mem_unit","_f"})
      public static class LibC.Sysinfo
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `byte[]` | `_f` |
    `NativeLong` | `bufferram` |
    `NativeLong` | `freehigh` |
    `NativeLong` | `freeram` |
    `NativeLong` | `freeswap` |
    `NativeLong[]` | `loads` |
    `int` | `mem_unit` |
    `short` | `procs` |
    `NativeLong` | `sharedram` |
    `NativeLong` | `totalhigh` |
    `NativeLong` | `totalram` |
    `NativeLong` | `totalswap` |
    `NativeLong` | `uptime` |

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Sysinfo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.util.List<java.lang.reflect.Field>` | `getFieldList()` | Look up all fields in this class and superclasses.
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` | Returns this Structure's field names in their proper order. When defining a new `Structure` you shouldn't override this method, but use `Structure.FieldOrder` annotation to define your field order(this also works with inheritance) If you want to do something non-standard you can override the method and define it as followed

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### uptime

          public NativeLong uptime

    - #### loads

          public NativeLong[] loads

    - #### totalram

          public NativeLong totalram

    - #### freeram

          public NativeLong freeram

    - #### sharedram

          public NativeLong sharedram

    - #### bufferram

          public NativeLong bufferram

    - #### totalswap

          public NativeLong totalswap

    - #### freeswap

          public NativeLong freeswap

    - #### procs

          public short procs

    - #### totalhigh

          public NativeLong totalhigh

    - #### freehigh

          public NativeLong freehigh

    - #### mem_unit

          public int mem_unit

    - #### _f

          public byte[] _f

  - ### Constructor Detail

    - #### Sysinfo

          public Sysinfo()

  - ### Method Detail

    - #### getFieldList

          protected java.util.List<java.lang.reflect.Field> getFieldList()

      Description copied from class: `Structure`
      Look up all fields in this class and superclasses.
      Overrides:
        `getFieldList` in class `Structure`
      Returns:
        ordered list of public `Field` available on this `Structure` class.

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Returns this Structure's field names in their proper order.
      When defining a new `Structure` you shouldn't override this method, but use `Structure.FieldOrder` annotation to define your field order(this also works with inheritance)
      If you want to do something non-standard you can override the method and define it as followed

           protected List getFieldOrder() {
               return Arrays.asList(...);
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new LinkedList(super.getFieldOrder());
               fields.addAll(Arrays.asList(...));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Overrides:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names